scala.tools.nsc.backend.icode.TypeKinds

# CHAR

#### object CHAR extends ICodes.ValueTypeKind with Product with Serializable

A 2-byte UNSIGNED integer

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, ICodes.ValueTypeKind, ICodes.TypeKind, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CHAR
2. Serializable
3. Serializable
4. Product
5. Equals
6. ValueTypeKind
7. TypeKind
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def <:<(other: ICodes.TypeKind): Boolean

   Simple subtyping check

   Simple subtyping check

   Definition Classes
     TypeKind

5. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def dimensions: Int

   The number of dimensions for array types.

   The number of dimensions for array types.

   Definition Classes
     TypeKind

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def isArrayType: Boolean

    Definition Classes
      TypeKind

15. #### def isBoxedType: Boolean

    Definition Classes
      TypeKind

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def isIntSizedType: Boolean

    On the JVM, BOOL, BYTE, CHAR, SHORT, and INT are like Ints for the purposes of calculating the lub.

    On the JVM, BOOL, BYTE, CHAR, SHORT, and INT are like Ints for the purposes of calculating the lub.

    Definition Classes
      CHAR → TypeKind

18. #### def isIntegralType: Boolean

    On the JVM, similar to isIntSizedType except that BOOL isn't integral while LONG is.

    On the JVM, similar to isIntSizedType except that BOOL isn't integral while LONG is.

    Definition Classes
      CHAR → TypeKind

19. #### final def isInterfaceType: Boolean

    Definition Classes
      TypeKind

20. #### final def isNothingType: Boolean

    Definition Classes
      TypeKind

21. #### final def isNullType: Boolean

    Definition Classes
      TypeKind

22. #### final def isNumericType: Boolean

    Definition Classes
      TypeKind

23. #### def isRealType: Boolean

    On the JVM, FLOAT and DOUBLE.

    On the JVM, FLOAT and DOUBLE.

    Definition Classes
      TypeKind

24. #### final def isRefArrayOrBoxType: Boolean

    Definition Classes
      TypeKind

25. #### final def isRefOrArrayType: Boolean

    Definition Classes
      TypeKind

26. #### def isReferenceType: Boolean

    Definition Classes
      TypeKind

27. #### def isValueType: Boolean

    Definition Classes
      ValueTypeKind → TypeKind

28. #### def isWideType: Boolean

    Is this type a category 2 type in JVM terms? (ie, is it LONG or DOUBLE?)

    Is this type a category 2 type in JVM terms? (ie, is it LONG or DOUBLE?)

    Definition Classes
      TypeKind

29. #### def maxType(other: ICodes.TypeKind): ICodes.TypeKind

    Definition Classes
      CHAR → TypeKind

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      ValueTypeKind → AnyRef → Any

35. #### def toType: Global.Type

    Definition Classes
      TypeKind

36. #### def uncomparable(other: ICodes.TypeKind): Nothing

    Attributes
      protected
    Definition Classes
      TypeKind

37. #### def uncomparable(thisKind: String, other: ICodes.TypeKind): Nothing

    Attributes
      protected
    Definition Classes
      TypeKind

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ICodes.ValueTypeKind

### Inherited from ICodes.TypeKind

### Inherited from AnyRef

### Inherited from Any

### Ungrouped